A class that provides constant values for horizontal and vertical alignment of objects.

### Hierarchy

- Align

## Index

### Properties

- BOTTOM
- CENTER
- LEFT
- RIGHT
- TOP

### Methods

- isValid
- isValidHorizontal
- isValidVertical

## Properties

### Static BOTTOM

BOTTOM: string

- Defined in lib/starling/utils/Align.d.ts:19

Vertical bottom alignment.

### Static CENTER

CENTER: string

- Defined in lib/starling/utils/Align.d.ts:22

Centered alignment.

### Static LEFT

LEFT: string

- Defined in lib/starling/utils/Align.d.ts:10

Horizontal left alignment.

### Static RIGHT

RIGHT: string

- Defined in lib/starling/utils/Align.d.ts:13

Horizontal right alignment.

### Static TOP

TOP: string

- Defined in lib/starling/utils/Align.d.ts:16

Vertical top alignment.

## Methods

### Static isValid

- isValid(align: string): boolean

- - Defined in lib/starling/utils/Align.d.ts:25

  Indicates whether the given alignment string is valid.

  #### Parameters

  - ##### align: string

  #### Returns boolean

### Static isValidHorizontal

- isValidHorizontal(align: string): boolean

- - Defined in lib/starling/utils/Align.d.ts:28

  Indicates if the given string is a valid horizontal alignment.

  #### Parameters

  - ##### align: string

  #### Returns boolean

### Static isValidVertical

- isValidVertical(align: string): boolean

- - Defined in lib/starling/utils/Align.d.ts:31

  Indicates if the given string is a valid vertical alignment.

  #### Parameters

  - ##### align: string

  #### Returns boolean

Generated using TypeDoc